Bug 339601 - Documentation not packaged
Documentation not packaged
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 08:04 EDT by Joel Schaerer
Modified: 2008-06-17 02:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.4-19.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Schaerer 2007-10-19 08:04:40 EDT
Description of problem:

The vtk packages don't include the doxygen documentation for the library, which
is quite useful if you use it for development.

I suggest to add it either to the vtk-devel package, or a specific vtk-doc package.
Comment 1 Joel Schaerer 2007-10-22 05:22:43 EDT
This spec : http://bellet.info/lxr/extras/source/rpms/vtk/FC-5/vtk.spec for vtk
made by Fabrice Bellet creates a vtk-doc package, it should not be hard to
modify the official fedora spec according to it.
Comment 2 Fedora Update System 2008-02-25 21:19:14 EST
vtk-5.0.4-19.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-02-25 21:19:14 EST
vtk-5.0.4-19.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-28 16:41:50 EST
vtk-5.0.4-19.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2089
Comment 5 Fedora Update System 2008-03-06 11:35:16 EST
vtk-5.0.4-19.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-03-06 11:38:34 EST
vtk-5.0.4-19.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Joel Schaerer 2008-03-07 04:18:45 EST
Documentation is still not packaged, so I'm reopening this bug.
Comment 8 Bug Zapper 2008-05-14 10:47:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 22:41:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Joel Schaerer 2008-06-17 02:25:06 EDT
Believe me, this is the last time I report a bug on Fedora. Don't put up a
bugzilla if you don't even try fixing bugs! I can't reproduce it on a more
recent Fedora because I'm not using Fedora anymore, but I'm quite sure the bug
is still there. Bon débarras, fedora people!

Note You need to log in before you can comment on or make changes to this bug.